Day (Axis API)
Keywords: org.apache.axis.types.Day class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.types
Class Day

    java.lang.Object
      org.apache.axis.types.Day

All Implemented Interfaces:
  java.io.Serializable

public class Day
extends java.lang.Object
implements java.io.Serializable

Implementation of the XML Schema type gDay

Author:
  Tom Jordahl
See Also:
  XML Schema 3.2.13, Serialized Form

Constructor Summary
`Day(int day)` Constructs a Day with the given values No timezone is specified
`Day(int day, java.lang.String timezone)` Constructs a Day with the given values, including a timezone string The timezone is validated but not used.
`Day(java.lang.String source)` Construct a Day from a String in the format ---DD[timezone]

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`int` | `getDay()`
`java.lang.String` | `getTimezone()`
`int` | `hashCode()` Return the value of day XORed with the hashCode of timezone iff one is defined.
`void` | `setDay(int day)` Set the day
`void` | `setTimezone(java.lang.String timezone)`
`void` | `setValue(int day)`
`void` | `setValue(int day, java.lang.String timezone)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Day

    public Day(int day)
        throws java.lang.NumberFormatException

  Constructs a Day with the given values No timezone is specified

### Day

    public Day(int day,
               java.lang.String timezone)
        throws java.lang.NumberFormatException

  Constructs a Day with the given values, including a timezone string The timezone is validated but not used.

### Day

    public Day(java.lang.String source)
        throws java.lang.NumberFormatException

  Construct a Day from a String in the format ---DD[timezone]

Method Detail

### getDay

    public int getDay()

### setDay

    public void setDay(int day)

  Set the day

### getTimezone

    public java.lang.String getTimezone()

### setTimezone

    public void setTimezone(java.lang.String timezone)

### setValue

    public void setValue(int day,
                         java.lang.String timezone)
                  throws java.lang.NumberFormatException

  Throws:
    `java.lang.NumberFormatException`

### setValue

    public void setValue(int day)
                  throws java.lang.NumberFormatException

  Throws:
    `java.lang.NumberFormatException`

### toString

    public java.lang.String toString()

### equals

    public boolean equals(java.lang.Object obj)

### hashCode

    public int hashCode()

  Return the value of day XORed with the hashCode of timezone iff one is defined.

  Returns:
    an `int` value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.